| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csMD5::Digest Struct Reference

An MD5 digest is 16 unsigned characters (not 0-terminated). More...

`#include <csutil/csmd5.h>`

List of all members.

## Public Types
enum |
## Public Member Functions
csString | HEXString () const
| Returns an uppercase hex-string representing the raw digest data.
csString | HexString () const
| Returns a lowercase hex-string representing the raw digest data.
## Public Attributes
md5_byte_t | data [DigestLen]
| The raw digest data.

## Detailed Description

An MD5 digest is 16 unsigned characters (not 0-terminated).

Definition at line 108 of file csmd5.h.

## Member Function Documentation

csString csMD5::Digest::HEXString | ( |  | ) | const

Returns an uppercase hex-string representing the raw digest data.

csString csMD5::Digest::HexString | ( |  | ) | const

Returns a lowercase hex-string representing the raw digest data.

## Member Data Documentation

md5_byte_t csMD5::Digest::data[DigestLen]

The raw digest data.

Definition at line 112 of file csmd5.h.

The documentation for this struct was generated from the following file:

- csutil/csmd5.h